MagickCore: compare.h File Reference

# compare.h File Reference

`#include "magick/image.h"`

Go to the source code of this file.

## Enumerations
enum | MetricType { UndefinedMetric, AbsoluteErrorMetric, MeanAbsoluteErrorMetric, MeanErrorPerPixelMetric, MeanSquaredErrorMetric, PeakAbsoluteErrorMetric, PeakSignalToNoiseRatioMetric, RootMeanSquaredErrorMetric }
## Functions
MagickExport Image * | CompareImageChannels (Image *, const Image *, const ChannelType, const MetricType, double *, ExceptionInfo *)
MagickExport Image ** | CompareImages (Image *, const Image *, const MetricType, double *, ExceptionInfo *)
MagickExport MagickBooleanType | GetImageChannelDistortion (Image *, const Image *, const ChannelType, const MetricType, double *, ExceptionInfo *)
MagickExport MagickBooleanType | GetImageDistortion (Image *, const Image *, const MetricType, double *, ExceptionInfo *)
MagickExport MagickBooleanType | IsImagesEqual (Image *, const Image *)

## Enumeration Type Documentation

enum MetricType

Enumerator:

  UndefinedMetric |
  AbsoluteErrorMetric |
  MeanAbsoluteErrorMetric |
  MeanErrorPerPixelMetric |
  MeanSquaredErrorMetric |
  PeakAbsoluteErrorMetric |
  PeakSignalToNoiseRatioMetric |
  RootMeanSquaredErrorMetric |

## Function Documentation

MagickExport Image* CompareImageChannels | ( | Image * | ,
|  | const Image * | ,
|  | const | ChannelType,
|  | const | MetricType,
|  | double * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * CompareImages | ( | Image * | ,
|  | const Image * | ,
|  | const | MetricType,
|  | double * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType GetImageChannelDistortion | ( | Image * | ,
|  | const Image * | ,
|  | const | ChannelType,
|  | const | MetricType,
|  | double * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType GetImageDistortion | ( | Image * | ,
|  | const Image * | ,
|  | const | MetricType,
|  | double * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType IsImagesEqual | ( | Image * | ,
|  | const Image * |  |
| ) |  |  |